Bug 506441 - get rid of the kudzu dependency
get rid of the kudzu dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hwbrowser (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 06:58 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:50:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-06-17 06:58:02 EDT
Description of problem:

It's high time kudzu went away. It has deprecated for a really long time (around FC5 timeframe) and been replaced with HAL which itself has been super-ceded by DeviceKit. Look at moving over to DeviceKit if necessary or just orphan this.
Comment 1 Nils Philippsen 2009-06-17 10:25:31 EDT
This has been on my "list of things to do" for too long already...

Anyway, how has DeviceKit superceded hal? Last time I looked (2 months ago?) it didn't come near to telling me all the things I want to know for hwbrowser/its successor. Has this improved?
Comment 2 Rahul Sundaram 2009-06-17 10:47:45 EDT

You will have to talk to the desktop team for specific information but my understanding is that, yes, it has improvement and the plan has been to replace HAL entirely over time.
Comment 3 Nils Philippsen 2009-06-17 11:32:25 EDT
Good to know. I've also checked out what information DeviceKit offers and it definitely is more than last time. I'll have to check if all needed info is accessible via DeviceKit. I'll encapsulate getting the info anyway so if all else fails, I can use hal as an intermediate way.
Comment 4 Bug Zapper 2009-11-16 05:13:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:05:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:50:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.